//
// Created by postaron on 27/09/24.
//

#include "hello_world.hpp"
#include <iostream>

namespace learn_gtkmm4 {
    HelloWorld::HelloWorld(const Glib::RefPtr<Gio::Menu>& menuModel) :
            m_VBox(Gtk::Orientation::VERTICAL), m_menu_bar(menuModel), m_button("Hello world!") {
        set_title("Hello world!");
        set_default_size(1280, 720);
        m_button.set_margin(10);
        m_button.signal_clicked().connect(sigc::mem_fun(*this, &HelloWorld::on_button_clicked));
        m_VBox.append(m_menu_bar);
        m_VBox.append(m_button);
        set_child(m_VBox);
    }

    void HelloWorld::on_button_clicked() {
        std::cout << "Hello World" << std::endl;
    }
} // learn_gtkmm4