//
// Created by postaron on 27/09/24.
//

#ifndef LEARNGTK4_HELLO_WORLD_HPP
#define LEARNGTK4_HELLO_WORLD_HPP

#include <gtkmm/button.h>
#include <gtkmm/glarea.h>
#include <gtkmm/box.h>
#include <gtkmm/applicationwindow.h>
#include <gtkmm/popovermenubar.h>
#include <gtkmm/popovermenu.h>

namespace learn_gtkmm4 {

    class HelloWorld : public Gtk::ApplicationWindow {
    public:
        explicit HelloWorld(const Glib::RefPtr<Gio::Menu>& menuModel);
        ~HelloWorld() override = default;

    protected:
        void on_button_clicked();

        Gtk::Box m_VBox;
        Gtk::PopoverMenuBar m_menu_bar;
        Gtk::Button m_button;
        Gtk::GLArea gl_area;
    };

} // learn_gtkmm4

#endif //LEARNGTK4_HELLO_WORLD_HPP
